Relationship Endpoints
Relationships are expressed using the following terms:
outgoing_status: Your relationship to the user. Can be "follows", "requested", "none".
incoming_status: A user's relationship to you. Can be "followed_by", "requested_by", "blocked_by_you", "none".
-
GET
/users/user-id/followsGet the list of users this user follows. -
GET
/users/user-id/followed-byGet the list of users this user is followed by. -
GET
/users/self/requested-byList the users who have requested to follow. -
GET
/users/user-id/relationshipGet information about a relationship to another user. -
POST
/users/user-id/relationshipModify the relationship with target user.
GET
/users/user-id/follows
https://api.instagram.com/v1/users/3/follows?access_token=ACCESS-TOKEN
{
"data": [{
"username": "washington",
"first_name": "George",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_6623_75sq.jpg",
"id": "1",
"last_name": "Washington"
},
{
"username": "SammyDavis",
"first_name": "Sammy",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_29648_75sq_1294520029.jpg",
"id": "29648",
"last_name": "Davis"
},
{
"username": "FrankTheTank",
"first_name": "Frank",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_13096_75sq_1286441317.jpg",
"id": "13096",
"last_name": "Roberts"
}]
}
Get the list of users this user follows. Required scope: relationships
GET
/users/user-id/followed-by
https://api.instagram.com/v1/users/3/followed-by?access_token=ACCESS-TOKEN
{
"data": [{
"username": "meeker",
"first_name": "Tom",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_6623_75sq.jpg",
"id": "6623",
"last_name": "Meeker"
},
{
"username": "Mark",
"first_name": "Mark",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_29648_75sq_1294520029.jpg",
"id": "29648",
"last_name": "Shin"
},
{
"username": "nancy",
"first_name": "Nancy",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_13096_75sq_1286441317.jpg",
"id": "13096",
"last_name": "Smith"
}]
}
Get the list of users this user is followed by. Required scope: relationships
GET
/users/self/requested-by
https://api.instagram.com/v1/users/self/requested-by?access_token=ACCESS-TOKEN
{
"meta": {
"code": 200
},
"data": [
{
"username": "mikeyk",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_4_75sq_1292324747_debug.jpg",
"id": "4"
}
]
}
List the users who have requested this user's permission to follow. Required scope: relationships
| access_token | A valid access token. |
|---|
GET
/users/user-id/relationship
https://api.instagram.com/v1/users/1574083/relationship?access_token=ACCESS-TOKEN
{
"meta": {
"code": 200
},
"data": {
"outgoing_status": "none",
"incoming_status": "requested_by"
}
}
Get information about a relationship to another user. Required scope: relationships
| access_token | A valid access token. |
|---|
POST
/users/user-id/relationship
https://api.instagram.com/v1/users/1574083/relationship?access_token=ACCESS-TOKEN
{
"meta": {
"code": 200
},
"data": {
"outgoing_status": "requested"
}
}
Modify the relationship between the current user and the target user. Required scope: relationships
| access_token | A valid access token. |
|---|---|
| action | One of follow/unfollow/block/unblock/approve/deny. |